<?php
  
IF (ISSET($user) || $photo['PRIVATE_COMMENTS'] == 1 || $photo['PRIVATE_COMMENTS'] == 2 && $photo['USER_ID'] == $user['ID']){
  
  IF (GET('comment_edit') && DB::GET_COLUMN("SELECT COUNT(*) FROM `PHOTOS_COMMENTS` WHERE `ID` = '".INTVAL(GET('comment_edit'))."' LIMIT 1") == 1){
    
    $comment = DB::GET_STRING("SELECT `MESSAGE` FROM `PHOTOS_COMMENTS` WHERE `ID` = '".INTVAL(GET('comment_edit'))."' LIMIT 1");
    
    IF (POST('ok_edit_comm')){
      
      $err_data = 0;
      
      $message = ADSL(POST('message'));
      
      IF (STR($message) < 1){
        
        ERROR('Сообщение не может быть меньше 1 символа', 'session');
        $err_data = 1;
      
      }
      
      IF (STR($message) > 3000){
        
        ERROR('Сообщение не может быть больше 3000 символов', 'session');
        $err_data = 1;
      
      }
      
      IF ($err_data == 1){
        
        REDIRECT('/modules/?path=photos&section=show&photo_id='.$photo['ID'].'');
      
      }
      
      DB::GET_SET("UPDATE `PHOTOS_COMMENTS` SET `MESSAGE` = '".$message."' WHERE `ID` = '".INTVAL(GET('comment_edit'))."' LIMIT 1");
      
      SUCCESS('Изменения успешно приняты', 'session');
      
      REDIRECT('/modules/?path=photos&section=show&photo_id='.$photo['ID'].'');
      
    }
    
    ECHO "<div class='list'>";
    
    ECHO "<form method='post' class='form' action='/modules/?path=photos&section=show&photo_id=".$photo['ID']."&comment_edit=".INTVAL(GET('comment_edit'))."'>";
    
    ECHO "<b>".LG('Введите содержание')."</b> (".LG('от 1 до 3000 символов')."):<br />";
    
    HTML::TEXTAREA(TEXT_ABSOLUTE($comment['MESSAGE']), 'message', 'Введите содержание', NULL, 'form-control-100');
    
    ECHO "<br />";
    
    HTML::BUTTON('btn-big ajax-button', 'ok_edit_comm', 'save', 'Сохранить изменения');
    
    ECHO "</form>";
    
    ECHO "</div>";
    
    //Навигация
    ECHO "<div class='navigation'>";
    ECHO "<a href='/'>".ICONS('home', 25, 'fa-fw')."</a>";
    ECHO "".ICONS('angle-right', 20, 'fa-fw')."";
    ECHO "<a href='/id".$account['ID']."'>".$account['LOGIN']."</a>";
    ECHO "".ICONS('angle-right', 20, 'fa-fw')."";
    ECHO $nav;
    ECHO "</div>";
    
    REQUIRE (ROOT.'/system/connections/footer.php');
    EXIT;
  
  }
  
}
  
?>